import request from '@/utils/request'

// 查询工程用料统计列表
export function materialStatistics(query) {
  return request({
    url: '/zdsz/materialStatistics/list',
    method: 'post',
    data: query
  })
}
export function getAreaCompletionInformationList(query) {
  return request({
    url: '/zdsz/engineeringCivil/getAreaCompletionInformationList',
    method: 'get',
    params: query
  })
}
export function getEnginMaterialQualityList() {
  return request({
    url: '/zdsz/enginMaterialQuality/getEnginMaterialQualityList',
    method: 'get',
    params: {enginType:'民用工程'}
  })
}
export function getEnginSpecificationsList(materId) {
  return request({
    url: '/zdsz/enginSpecifications/getEnginSpecificationsList',
    method: 'get',
     params: {materId:materId}
  })
}
export function getsumStatus(materId) {
  return request({
    url: `/zdsz/engineeringCivil/getsumStatus?enginCycle=${materId}`,
    method: 'get',
  })
}
